osgShadow::ViewDependentShadowMap::LightData Struct Reference

`#include <ViewDependentShadowMap>`

Inheritance diagram for osgShadow::ViewDependentShadowMap::LightData:

## Public Types

typedef std::vector< unsigned int > | ActiveTextureUnits

## Public Member Functions

| LightData (ViewDependentData *vdd)
virtual void | setLightData (osg::RefMatrix *lm, const osg::Light *l, const osg::Matrixd &modelViewMatrix)
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

ViewDependentData * | _viewDependentData
osg::ref_ptr< osg::RefMatrix > | lightMatrix
osg::ref_ptr< const osg::Light > | light
osg::Vec4d | lightPos
osg::Vec3d | lightPos3
osg::Vec3d | lightDir
bool | directionalLight
ActiveTextureUnits | textureUnits

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Member Typedef Documentation

## ActiveTextureUnits

typedef std::vector<unsigned int> osgShadow::ViewDependentShadowMap::LightData::ActiveTextureUnits

## Constructor & Destructor Documentation

## LightData()

osgShadow::ViewDependentShadowMap::LightData::LightData | ( | ViewDependentData * | vdd | ) |

## Member Function Documentation

## setLightData()

virtual void osgShadow::ViewDependentShadowMap::LightData::setLightData | ( | osg::RefMatrix * | lm,
|  | const osg::Light * | l,
|  | const osg::Matrixd & | modelViewMatrix )

virtual

## Member Data Documentation

## _viewDependentData

ViewDependentData* osgShadow::ViewDependentShadowMap::LightData::_viewDependentData

## directionalLight

bool osgShadow::ViewDependentShadowMap::LightData::directionalLight

## light

osg::ref_ptr<const osg::Light> osgShadow::ViewDependentShadowMap::LightData::light

## lightDir

osg::Vec3d osgShadow::ViewDependentShadowMap::LightData::lightDir

## lightMatrix

osg::ref_ptr<osg::RefMatrix> osgShadow::ViewDependentShadowMap::LightData::lightMatrix

## lightPos

osg::Vec4d osgShadow::ViewDependentShadowMap::LightData::lightPos

## lightPos3

osg::Vec3d osgShadow::ViewDependentShadowMap::LightData::lightPos3

## textureUnits

ActiveTextureUnits osgShadow::ViewDependentShadowMap::LightData::textureUnits

The documentation for this struct was generated from the following file:

- ViewDependentShadowMap